Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.o
Class OBase

    java.lang.Object
      org.apache.ode.bpel.o.OBase

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OAgent, OAssign.Copy, OAssign.DirectRef, OAssign.Expression, OAssign.Literal, OAssign.LValueExpression, OAssign.PartnerLinkRef, OAssign.PropertyRef, OAssign.VariableRef, OConstants, OExpression, OExpressionLanguage, OExtVar, OFaultHandler, OForEach.CompletionCondition, OLink, OMessageVarType.Part, OPartnerLink, OPickReceive.OnAlarm, OPickReceive.OnMessage, OProcess, OProcess.OProperty, OProcess.OPropertyAlias, OScope.CorrelationSet, OScope.Variable, OSwitch.OCase, OVarType, OXPath10Expression.OSigGetVariableData, OXslSheet

    public class OBase

extends java.lang.Object
implements java.io.Serializable

Base class for compiled BPEL objects.

See Also:
  Serialized Form

Field Summary
`DebugInfo` | `debugInfo`

Constructor Summary
`protected` | `OBase(OProcess owner)`

Method Summary
`void` | `dehydrate()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getId()`
`OProcess` | `getOwner()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### debugInfo

    public DebugInfo debugInfo

Constructor Detail

### OBase

    protected OBase(OProcess owner)

Method Detail

### getOwner

    public OProcess getOwner()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dehydrate

    public void dehydrate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD